
SELECT 
	'ALTER DATABASE ' + DB.name + ' MODIFY FILE (NAME = [' + MF.name + '],' +
	' FILENAME = ''' + NPN.new_physical_name
FROM 
	sys.databases DB
INNER JOIN 
	sys.master_files MF
	ON DB.database_id = MF.database_id
OUTER APPLY
	(SELECT
		CASE									-- This case statement sets the 
			WHEN DB.name = 'tempdb' THEN 'T'	-- drive letter of the location 
			WHEN MF.type = 1 THEN 'L'			-- based on database name (tempdb)
			ELSE 'D'							-- and file type 1=LOG, ELSE=DATA
		END + ':\MEDIFILES\' + MF.name + 
		CASE									-- This case set file extension 
			WHEN MF.type = 1 THEN '.ldf'		-- file_id 1 = Log file (.ldf)
			WHEN MF.file_id <= 2 THEN '.mdf'	-- file_id 2 = Primary File (.mdf)
			ELSE '.ndf'							-- file_id >=3 = Secondary File (.ndf)
		END +									
		''');' AS new_physical_name) NPN 
WHERE DB.name = 'tempdb'

